<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.greenorange.promotion.mapper.ProjectMapper">

    <resultMap id="BaseResultMap" type="com.greenorange.promotion.model.entity.Project">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="projectName" column="projectName" jdbcType="VARCHAR"/>
            <result property="projectImage" column="projectImage" jdbcType="VARCHAR"/>
            <result property="projectPrice" column="projectPrice" jdbcType="DECIMAL"/>
            <result property="projectDescription" column="projectDescription" jdbcType="VARCHAR"/>
            <result property="settlementDesc" column="settlementDesc" jdbcType="VARCHAR"/>
            <result property="projectDesc" column="projectDesc" jdbcType="VARCHAR"/>
            <result property="projectFlow" column="projectFlow" jdbcType="VARCHAR"/>
            <result property="applyPromoCodeDesc" column="applyPromoCodeDesc" jdbcType="VARCHAR"/>
            <result property="projectSettlementCycle" column="projectSettlementCycle" jdbcType="INTEGER"/>
            <result property="currentPromotionCount" column="currentPromotionCount" jdbcType="INTEGER"/>
            <result property="maxPromoterCount" column="maxPromoterCount" jdbcType="INTEGER"/>
            <result property="projectStatus" column="projectStatus" jdbcType="OTHER"/>
            <result property="isShelves" column="isShelves" jdbcType="TINYINT"/>
            <result property="isDelete" column="isDelete" jdbcType="TINYINT"/>
            <result property="createTime" column="createTime" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="updateTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,projectName,projectImage,
        maxProjectPrice,minProjectPrice,projectDescription,
        settlementDesc,projectDesc,projectFlow,
        applyPromoCodeDesc,projectSettlementCycle,currentPromotionCount,
        maxPromoterCount,projectStatus,isShelves,
        isDelete,createTime,updateTime
    </sql>
</mapper>
